package intrinsic.flash.text;

public class TextField extends intrinsic.flash.display.InteractiveObject {

	/** Accessors */
	public String restrict;
	public int caretIndex;
	public int maxScrollV;
	public int bottomScrollV;
	public int scrollV;
	public String gridFitType;
	public boolean mouseWheelEnabled;
	public boolean border;
	public intrinsic.flash.display.NativeMenu contextMenu;
	public double thickness;
	public boolean background;
	public String text;
	public int selectionBeginIndex;
	public int borderColor;
	public boolean useRichTextClipboard;
	public double sharpness;
	public int textColor;
	public double textWidth;
	public boolean selectable;
	public boolean alwaysShowSelection;
	public double textHeight;
	public String autoSize;
	public boolean multiline;
	public int backgroundColor;
	public boolean wordWrap;
	public boolean embedFonts;
	public int selectionEndIndex;
	public boolean displayAsPassword;
	public int maxChars;
	public boolean condenseWhite;
	public int length;
	public String antiAliasType;
	public String selectedText;
	public intrinsic.flash.text.StyleSheet styleSheet;
	public String type;
	public int maxScrollH;
	public intrinsic.flash.text.TextFormat defaultTextFormat;
	public int numLines;
	public int scrollH;
	public String htmlText;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public TextField() {
}


/** Static Methods */

/** Methods */
public native void insertXMLText(int arg0, int arg1, String arg2);
public native void insertXMLText(int arg0, int arg1, String arg2, boolean arg3);
public native intrinsic.flash.text.TextFormat getTextFormat();
public native intrinsic.flash.text.TextFormat getTextFormat(int arg0);
public native intrinsic.flash.text.TextFormat getTextFormat(int arg0, int arg1);
public native intrinsic.flash.geom.Rectangle getCharBoundaries(int arg0);
public native int getFirstCharInParagraph(int arg0);
public native void replaceText(int arg0, int arg1, String arg2);
public native intrinsic.flash.display.DisplayObject getImageReference(String arg0);
public native void replaceSelectedText(String arg0);
public native String getXMLText();
public native String getXMLText(int arg0);
public native String getXMLText(int arg0, int arg1);
public native String getRawText();
public native intrinsic.Array getTextRuns();
public native intrinsic.Array getTextRuns(int arg0);
public native intrinsic.Array getTextRuns(int arg0, int arg1);
public native String getLineText(int arg0);
public native intrinsic.flash.text.TextLineMetrics getLineMetrics(int arg0);
public native int getLineOffset(int arg0);
public native int getParagraphLength(int arg0);
public native void setTextFormat(intrinsic.flash.text.TextFormat arg0);
public native void setTextFormat(intrinsic.flash.text.TextFormat arg0, int arg1);
public native void setTextFormat(intrinsic.flash.text.TextFormat arg0, int arg1, int arg2);
public native void setSelection(int arg0, int arg1);
public native int getLineIndexAtPoint(double arg0, double arg1);
public native int getCharIndexAtPoint(double arg0, double arg1);
public native int getLineLength(int arg0);
public native void appendText(String arg0);
public native int getLineIndexOfChar(int arg0);

}
